Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jbi.management
Interface AdminServiceMBean

public interface AdminServiceMBean

This interface defines a set of administrative methods allowing a JMX-based administrative tool to perform a variety of administrative tasks.

- Find component lifecycle MBean names for:
  - Individual components, by name
  - All binding components
  - All service engines
- Find lifecyle MBeans names for implementation-defined services:
  - Individual implementation services, by name
  - All implementation services
- Query whether an individual component is a binding or engine
- Query implementation information (version etc.)

Author:
  JSR208 Expert Group

Method Summary
`javax.management.ObjectName[]` | `getBindingComponents()` Get a list of `ComponentLifeCycleMBean`s for all binding components currently installed in the JBI system.
`javax.management.ObjectName` | `getComponentByName(java.lang.String name)` Find the `ComponentLifeCycleMBean` of a JBI Installable Component by its unique name.
`javax.management.ObjectName[]` | `getEngineComponents()` Get a list of `ComponentLifeCycleMBean`s for all service engines currently installed in the JBI system.
`java.lang.String` | `getSystemInfo()` Return current version and other info about this JBI implementation.
`javax.management.ObjectName` | `getSystemService(java.lang.String serviceName)` Lookup a system service `LifeCycleMBean` by name.
`javax.management.ObjectName[]` | `getSystemServices()` Looks up all JBI system services `LifeCycleMBean`'s currently installed.
`boolean` | `isBinding(java.lang.String componentName)` Check if a given JBI component is a Binding Component.
`boolean` | `isEngine(java.lang.String componentName)` Check if a given JBI component is a Service Engine.

Method Detail

### getSystemService

    public javax.management.ObjectName getSystemService(java.lang.String serviceName)

  Lookup a system service `LifeCycleMBean` by name. System services are implementation-defined services which can administered through JMX, and have a life cycle.

  System services are not related to service engines.

  Parameters:
    `serviceName` - name of the system service; must be non-null and non- empty; values are implementation-dependent
  Returns:
    JMX object name of the system service's LifeCycleMBean, or `null` if there is no system service with the given `name`.

### getSystemServices

    public javax.management.ObjectName[] getSystemServices()

  Looks up all JBI system services `LifeCycleMBean`'s currently installed. System services are implementation-defined services which can administered through JMX. System services are not related to service engines.

  Returns:
    array of LifecycleMBean JMX object names of system services currently installed in the JBI implementation; must be non-null; may be empty

### getComponentByName

    public javax.management.ObjectName getComponentByName(java.lang.String name)

  Find the `ComponentLifeCycleMBean` of a JBI Installable Component by its unique name.

  Parameters:
    `name` - the name of the engine or binding component; must be non- null and non-empty
  Returns:
    the JMX object name of the component's life cycle MBean, or `null` if there is no such component with the given `name`

### getBindingComponents

    public javax.management.ObjectName[] getBindingComponents()

  Get a list of `ComponentLifeCycleMBean`s for all binding components currently installed in the JBI system.

  Returns:
    array of JMX object names of component life cycle MBeans for all installed binding components; must be non-null; may be empty

### getEngineComponents

    public javax.management.ObjectName[] getEngineComponents()

  Get a list of `ComponentLifeCycleMBean`s for all service engines currently installed in the JBI system.

  Returns:
    array of JMX object names of component life cycle MBeans for all installed service engines; must be non-null; may be empty

### isBinding

    public boolean isBinding(java.lang.String componentName)

  Check if a given JBI component is a Binding Component.

  Parameters:
    `componentName` - the unique name of the component; must be non-null and non-empty
  Returns:
    `true` if the component is a binding component; `false` if the component is a service engine or if there is no component with the given `componentName` installed in the JBI system

### isEngine

    public boolean isEngine(java.lang.String componentName)

  Check if a given JBI component is a Service Engine.

  Parameters:
    `componentName` - the unique name of the component; must be non-null and non-empty
  Returns:
    `true` if the component is a service engine; `false` if the component is a binding component, or if there is no component with the given `componentName` installed in the JBI system

### getSystemInfo

    public java.lang.String getSystemInfo()

  Return current version and other info about this JBI implementation. The contents of the returned string are implementation dependent.

  Returns:
    information string about the JBI implementation, including version information; must be non-null and non-empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Built 06/07/2005 11:16 AM on acer (SunOS 5.9)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2005 Sun Microsystems Inc., All Rights Reserved.